### Hierarchy

- TableHead

### Implements

- AfterViewInit

## Index

### Inputs

- enableSingleSelect
- model
- selectAllCheckbox
- selectAllCheckboxSomeSelected
- showSelectionColumn
- size
- skeleton
- sortable
- stickyHeader
- checkboxHeaderLabel
- filterTitle
- sortAscendingLabel
- sortDescendingLabel

### Outputs

- deselectAll
- selectAll
- sort

### Constructors

- constructor

### Properties

- _checkboxHeaderLabel
- _filterTitle
- _sortAscendingLabel
- _sortDescendingLabel
- deselectAll
- enableSingleSelect
- i18n
- model
- scrollbarWidth
- selectAll
- selectAllCheckbox
- selectAllCheckboxSomeSelected
- showSelectionColumn
- size
- skeleton
- sort
- sortable
- stickyHeader

### Accessors

- checkboxHeaderLabel
- filterTitle
- sortAscendingLabel
- sortDescendingLabel

### Methods

- getCheckboxHeaderLabel
- getFilterTitle
- getSortAscendingLabel
- getSortDescendingLabel
- ngAfterViewInit
- onSelectAllCheckboxChange

## Constructors

### constructor

- new TableHead(i18n: I18n): TableHead

- - Defined in src/table/head/table-head.component.ts:177

  #### Parameters

  - ##### i18n: I18n

  #### Returns TableHead

## Properties

### Protected _checkboxHeaderLabel

_checkboxHeaderLabel: Overridable = this.i18n.getOverridable("TABLE.CHECKBOX_HEADER")

- Defined in src/table/head/table-head.component.ts:174

### Protected _filterTitle

_filterTitle: Overridable = this.i18n.getOverridable("TABLE.FILTER")

- Defined in src/table/head/table-head.component.ts:177

### Protected _sortAscendingLabel

_sortAscendingLabel: Overridable = this.i18n.getOverridable("TABLE.SORT_ASCENDING")

- Defined in src/table/head/table-head.component.ts:176

### Protected _sortDescendingLabel

_sortDescendingLabel: Overridable = this.i18n.getOverridable("TABLE.SORT_DESCENDING")

- Defined in src/table/head/table-head.component.ts:175

### deselectAll

@Output()
deselectAll: EventEmitter<TableModel> = new EventEmitter<TableModel>()

- Defined in src/table/head/table-head.component.ts:170

### enableSingleSelect

@Input()
enableSingleSelect: boolean = false

- Defined in src/table/head/table-head.component.ts:98

### Protected i18n

i18n: I18n

- Defined in src/table/head/table-head.component.ts:179

### model

@Input()
model: TableModel

- Defined in src/table/head/table-head.component.ts:94

### scrollbarWidth

scrollbarWidth: number = 0

- Defined in src/table/head/table-head.component.ts:172

### selectAll

@Output()
selectAll: EventEmitter<TableModel> = new EventEmitter<TableModel>()

- Defined in src/table/head/table-head.component.ts:164

### selectAllCheckbox

@Input()
selectAllCheckbox: boolean = false

- Defined in src/table/head/table-head.component.ts:102

### selectAllCheckboxSomeSelected

@Input()
selectAllCheckboxSomeSelected: boolean = false

- Defined in src/table/head/table-head.component.ts:100

### showSelectionColumn

@Input()
showSelectionColumn: boolean = true

- Defined in src/table/head/table-head.component.ts:96

### size

@Input()
size: TableRowSize = "md"

- Defined in src/table/head/table-head.component.ts:117

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/head/table-head.component.ts:104

### sort

@Output()
sort: EventEmitter<number> = new EventEmitter<number>()

- Defined in src/table/head/table-head.component.ts:158

### sortable

@Input()
sortable: boolean = true

- Defined in src/table/head/table-head.component.ts:112

### stickyHeader

@Input()
stickyHeader: boolean = false

- Defined in src/table/head/table-head.component.ts:106

## Accessors

### checkboxHeaderLabel

@Input()
checkboxHeaderLabel:

- Defined in src/table/head/table-head.component.ts:120
- Defined in src/table/head/table-head.component.ts:124

### filterTitle

@Input()
filterTitle:

- Defined in src/table/head/table-head.component.ts:147
- Defined in src/table/head/table-head.component.ts:151

### sortAscendingLabel

@Input()
sortAscendingLabel:

- Defined in src/table/head/table-head.component.ts:138
- Defined in src/table/head/table-head.component.ts:142

### sortDescendingLabel

@Input()
sortDescendingLabel:

- Defined in src/table/head/table-head.component.ts:129
- Defined in src/table/head/table-head.component.ts:133

## Methods

### getCheckboxHeaderLabel

- getCheckboxHeaderLabel(): Observable<string>

- - Defined in src/table/head/table-head.component.ts:195

  #### Returns Observable<string>

### getFilterTitle

- getFilterTitle(): Observable<string>

- - Defined in src/table/head/table-head.component.ts:207

  #### Returns Observable<string>

### getSortAscendingLabel

- getSortAscendingLabel(): Observable<string>

- - Defined in src/table/head/table-head.component.ts:203

  #### Returns Observable<string>

### getSortDescendingLabel

- getSortDescendingLabel(): Observable<string>

- - Defined in src/table/head/table-head.component.ts:199

  #### Returns Observable<string>

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/table/head/table-head.component.ts:181

  #### Returns void

### onSelectAllCheckboxChange

- onSelectAllCheckboxChange(): void

- - Defined in src/table/head/table-head.component.ts:187

  #### Returns void

Generated using TypeDoc